Open extra topbar

Fiat deposit extension problem

If you are new here, please see some information on how to ask for support. Thank you!

Fiat deposit extension problem

dashed-slug.net Forums Fiat Coin Adapter extension support Fiat deposit extension problem

This topic contains 3 replies, has 2 voices, and was last updated by  alexg 1 week, 3 days ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #7113

    Valerii9116
    Participant

    Hi Alex,

    When i try to add or delete any FIAT currency in FIAT currency adapter after save Chages i see message ” ERROR: options page not found.” And any changes . http://www.timaxpay.com

    Its great that you add different bank account for different currencies but as me interface with drop down menu currencies was better. Now on the page we see all our currencies account. Why? Need only one.

    If i use own stablecoin currency like Ripple or Lumen i need field for ID or account number and memo field. Could you add this one?
    Thank you.

    Best regards,
    Valerii

    #7114

    Valerii9116
    Participant

    Hi,
    Alex, just a moment i have updated your plugin Fiat deposit and got problem :Fatal error: Cannot declare class Dashed_Slug_Wallets_Coin_Adapter_Fiat_UAH, because the name is already in use in /home/valeriit/public_html/Timaxpay.com/wp-content/plugins/wallets-fiat/wallets-fiat.php(135) : eval()’d code on line 15
    The site is experiencing technical difficulties. Please check your site admin email inbox for instructions.

    My site is not working now

    #7116

    alexg
    Keymaster

    Hello,

    Thanks for your feedback.

    1. The first error you reported was already fixed in the next patch release, 0.4.1-beta.

    2. After you updated, you got a new error. To immediately regain control of your site, simply delete the extension (delete the directory /home/valeriit/public_html/Timaxpay.com/wp-content/plugins/wallets-fiat.

    3. It seems like you have specified a custom currency with the UAH symbol and have enabled UAH via fixer at the same time. This is what caused the error. I will patch the extension so that in the future this will not crash the site. To delete your custom coins settings, simply delete the wallets_fiat_custom_coins WordPress option. There’s two ways to do this:

    With wp-cli: wp option delete wallets_fiat_custom_coins
    With the MySQL console: DELETE FROM wp_options WHERE option_name = 'wallets_fiat_custom_coins';

    4. Yes, in the near future there will be a deposit UI with a dropdown again.

    5. Lumen and Ripple are cryptocurrencies, so not applicable to the fiat adapter. When you do a Ripple deposit via [wallets_deposit] there is already support for a payment id. The Fiat Coin Adapter is not meant to be used with stable coins, only fiat currencies. The idea is that this extension is meant to be used as an interface to actual bank accounts, not blockchains. This is why you don’t see a Payment ID or memo field in [wallets_fiat_deposit].

    In any case, apologies for the trouble, let me know if you need help with deleting that option or anything else.

    I will post again here when I release the relevant patch.

    with regards

    #7121

    alexg
    Keymaster

    Hello,

    If you install version 0.4.2-beta of the adapter you should no longer experience the error you reported.

    Additionally, I have added the dropdown selector into the deposit shortcode. You have the following two options:

    1. Use the [wallets_fiat_deposit] shortcode with no arguments. This displays the UI with a dropdown, letting the user choose a fiat currency.

    2. Use the [wallets_fiat_deposit template="static" symbol="XYZ"] to display bank deposit details only for the fiat currency XYZ.

    Please let me know if you notice any other issues.

    with regards

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.